"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tool = void 0;

var _react = _interopRequireDefault(require("react"));

var _components = require("@storybook/components");

var _constants = require("./constants");

var _api = require("@storybook/api");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Tooltip = function Tooltip() {
  return /*#__PURE__*/_react["default"].createElement(_components.TooltipMessage, {
    title: "Repository Link",
    desc: "No repository link set in this story",
    links: [{
      title: 'More Info',
      onClick: function onClick() {
        window.open(_constants.INFO_LINK);
      }
    }]
  });
};

var Tool = function Tool() {
  var defaultLink = (0, _api.useParameter)(_constants.DEFAULT_PARAM_KEY, null);
  var link = (0, _api.useParameter)(_constants.PARAM_KEY, defaultLink);
  return link ? /*#__PURE__*/_react["default"].createElement(_components.IconButton, {
    key: _constants.TOOL_ID,
    title: "View Source Repository",
    active: true,
    onClick: function onClick() {
      if (link) {
        window.open(link);
      }
    }
  }, /*#__PURE__*/_react["default"].createElement(_components.Icons, {
    icon: "repository"
  })) : /*#__PURE__*/_react["default"].createElement(_components.WithTooltip, {
    placement: "top",
    trigger: "click",
    tooltip: /*#__PURE__*/_react["default"].createElement(Tooltip, null)
  }, /*#__PURE__*/_react["default"].createElement(_components.IconButton, {
    key: _constants.TOOL_ID,
    title: "View Source Repository",
    active: false
  }, /*#__PURE__*/_react["default"].createElement(_components.Icons, {
    icon: "repository"
  })));
};

exports.Tool = Tool;