import React from "react";
import { Icons, IconButton, TooltipMessage, WithTooltip } from "@storybook/components";
import { TOOL_ID } from "./constants";
import { PARAM_KEY, DEFAULT_PARAM_KEY, INFO_LINK } from "./constants";
import { useParameter } from '@storybook/api';

var Tooltip = function Tooltip() {
  return /*#__PURE__*/React.createElement(TooltipMessage, {
    title: "Repository Link",
    desc: "No repository link set in this story",
    links: [{
      title: 'More Info',
      onClick: function onClick() {
        window.open(INFO_LINK);
      }
    }]
  });
};

export var Tool = function Tool() {
  var defaultLink = useParameter(DEFAULT_PARAM_KEY, null);
  var link = useParameter(PARAM_KEY, defaultLink);
  return link ? /*#__PURE__*/React.createElement(IconButton, {
    key: TOOL_ID,
    title: "View Source Repository",
    active: true,
    onClick: function onClick() {
      if (link) {
        window.open(link);
      }
    }
  }, /*#__PURE__*/React.createElement(Icons, {
    icon: "repository"
  })) : /*#__PURE__*/React.createElement(WithTooltip, {
    placement: "top",
    trigger: "click",
    tooltip: /*#__PURE__*/React.createElement(Tooltip, null)
  }, /*#__PURE__*/React.createElement(IconButton, {
    key: TOOL_ID,
    title: "View Source Repository",
    active: false
  }, /*#__PURE__*/React.createElement(Icons, {
    icon: "repository"
  })));
};